package ibase.dashboard.scm.servlet;
import ibase.dashboard.scm.ejb.DivMonthlyStatusRemote;
import ibase.system.config.AppConnectParm;
import ibase.webitm.utility.ITMException;
import java.io.IOException;
import java.io.OutputStream;
import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.simple.JSONObject;

public class DivMonthlyStatusServlet extends HttpServlet
{
	private static final long serialVersionUID = 1L;

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
	{
		doPost(request, response);
	}

	@SuppressWarnings("unchecked")
    public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
	{
		DivMonthlyStatusRemote divMonthlyStatus = null;
		InitialContext context = null;
		AppConnectParm appConnectParm = new AppConnectParm();
		String dataSourceName = "";
		String month = "";
		try
		{
			System.out.println(" in DivMonthlyStatusServlet do post");
			
			response.setContentType("application/xml");
			dataSourceName    = request.getParameter("dataSourceName"); 
			month = (request.getParameter("month"));
			context = new InitialContext(appConnectParm.getProperty());
			divMonthlyStatus = (DivMonthlyStatusRemote) context.lookup("ibase/DivMonthlyStatus/remote");
			JSONObject jsonObjData      = (JSONObject)divMonthlyStatus.getMonthlyData(dataSourceName, month);
			OutputStream outputStream   = response.getOutputStream();			
		    outputStream.write(jsonObjData.toString().getBytes());
			outputStream.flush();
			outputStream.close();
			System.out.println(" Final data set for DivMonthlyStatusServlet build the servlet is===" + jsonObjData);	
			
		} catch (Exception e)
		{
			System.out.println("Exception : SalesPerDivGroupWiseServlet :doPost(HttpServletRequest request, HttpServletResponse response) :" + e.getMessage());
			try
			{
			  throw new ITMException(e);
			} catch (ITMException e1)
			{
				e1.printStackTrace();
			}
		}
	}

}